#ifndef NSSTEST_H
#define NSSTEST_H

#include <QTemporaryFile>
#include <QTemporaryDir>
#include <QObject>
#include <QList>
#include <QByteArray>

#include "certificatelist.h"

class NSSTest: public QObject
{
    Q_OBJECT

    QTemporaryDir fakeHome;
    QDir fakeFirefoxDir;
    QDir fakeThunderbirdDir;
    QTemporaryDir ffNSSDir;
    QTemporaryDir tbNSSDir;
    CertificateList validList;
    QTemporaryFile validListFile;
private:
    QList<QByteArray> get_nss_certs(QTemporaryDir *nssDir);
    void setupTestDir(QTemporaryDir *nssDir);

private Q_SLOTS:
    void initTestCase();
    void testInstRemove();
};

#endif // NSSTEST_H
